> ## Documentation Index
> Fetch the complete documentation index at: https://aircaps.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get usage

> Daily usage of each model your account can use.



## OpenAPI

````yaml GET /v1/usage
openapi: 3.1.0
info:
  title: AirCaps AI API
  version: 1.0.0
  description: >-
    Speech-to-text: A5S Async v1 (REST; English, Spanish, French, German,
    Portuguese, Hindi, Japanese, Korean and Chinese) and A5S Small V2 Streaming
    (WebSocket; English). Speaker diarization: AirCaps Diarization-v1 (REST).
    Speaker identification: AirCaps Speaker ID-v1 (REST, synchronous).
servers:
  - url: https://api.aircaps.com
security:
  - bearerAuth: []
tags:
  - name: Transcripts
  - name: Diarizations
  - name: Speakers
  - name: Files
  - name: Account
paths:
  /v1/usage:
    get:
      tags:
        - Account
      summary: Get usage
      description: Daily usage of each model your account can use.
      operationId: getUsage
      parameters:
        - name: days
          in: query
          description: Calendar days, including today.
          schema:
            type: integer
            minimum: 1
            maximum: 90
            default: 30
        - name: timezone
          in: query
          description: IANA time zone for day boundaries.
          schema:
            type: string
            default: UTC
            example: America/New_York
      responses:
        '200':
          description: Usage report.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Usage'
              example:
                object: usage
                timezone: UTC
                start_date: '2026-09-07'
                end_date: '2026-10-06'
                models:
                  - id: a5s-async-v1
                    name: A5S Async v1
                  - id: a5s-small-v2-streaming
                    name: A5S Small V2 Streaming
                daily:
                  - date: '2026-10-06'
                    model: a5s-async-v1
                    requests: 12
                    completed: 12
                    failed: 0
                    audio_seconds: 5410.2
                totals:
                  a5s-async-v1:
                    requests: 12
                    completed: 12
                    failed: 0
                    audio_seconds: 5410.2
                by_key:
                  - key_id: 0123456789ab
                    name: Production
                    model: a5s-async-v1
                    requests: 12
                    audio_seconds: 5410.2
        '400':
          description: >-
            Invalid query parameter (`param` names it). Codes:
            `invalid_request`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  type: invalid_request_error
                  code: invalid_request
                  message: Input should be greater than or equal to 10
                  param: null
                  request_id: req_01k6z3m4q8w7e5r2t1y0u9i8o7
        '401':
          description: 'Missing or invalid API key. Codes: `unauthorized`.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  type: authentication_error
                  code: unauthorized
                  message: invalid API key
                  param: null
                  request_id: req_01k6z3m4q8w7e5r2t1y0u9i8o7
        '403':
          description: 'The account is disabled. Codes: `account_disabled`.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  type: permission_error
                  code: account_disabled
                  message: this account is disabled
                  param: null
                  request_id: req_01k6z3m4q8w7e5r2t1y0u9i8o7
        '500':
          description: >-
            Server error. Safe to retry (use the same Idempotency-Key). Codes:
            `internal_error`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  type: api_error
                  code: internal_error
                  message: internal error
                  param: null
                  request_id: req_01k6z3m4q8w7e5r2t1y0u9i8o7
        '503':
          description: >-
            Temporarily unavailable. Retry after the Retry-After interval.
            Codes: `service_unavailable`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  type: api_error
                  code: service_unavailable
                  message: temporarily unavailable; please retry
                  param: null
                  request_id: req_01k6z3m4q8w7e5r2t1y0u9i8o7
          headers:
            Retry-After:
              description: Seconds to wait before retrying.
              schema:
                type: integer
components:
  schemas:
    Usage:
      type: object
      properties:
        object:
          type: string
          enum:
            - usage
        timezone:
          type: string
        start_date:
          type: string
          format: date
        end_date:
          type: string
          format: date
        models:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
        daily:
          type: array
          items:
            allOf:
              - type: object
                properties:
                  date:
                    type: string
                    format: date
                  model:
                    type: string
              - type: object
                properties:
                  requests:
                    type: integer
                  completed:
                    type: integer
                  failed:
                    type: integer
                  audio_seconds:
                    type: number
        totals:
          type: object
          additionalProperties:
            allOf:
              - type: object
                properties:
                  requests:
                    type: integer
                  completed:
                    type: integer
                  failed:
                    type: integer
                  audio_seconds:
                    type: number
              - type: object
                properties:
                  avg_turnaround_seconds:
                    type:
                      - number
                      - 'null'
                    description: A5S Async v1 only.
          description: Per model id.
        by_key:
          type: array
          items:
            type: object
            properties:
              key_id:
                type:
                  - string
                  - 'null'
              name:
                type: string
              model:
                type: string
              requests:
                type: integer
              audio_seconds:
                type: number
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - type
            - code
            - message
            - request_id
          properties:
            type:
              type: string
              enum:
                - invalid_request_error
                - authentication_error
                - permission_error
                - rate_limit_error
                - api_error
            code:
              type: string
              description: Machine-readable code; see [Errors](/errors).
            message:
              type: string
            param:
              type:
                - string
                - 'null'
              description: The request field at fault, if any.
            request_id:
              type:
                - string
                - 'null'
              description: >-
                Also in the `x-request-id` header. Include it when contacting
                support. `null` on 502/504 from the edge.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Your API key: `Authorization: Bearer aircaps_sk_...`'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.